package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.variable.group.TEMPCOB_OUT03;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface TEMPCOB_TEMPCOB_FD_OUT03_DoToTEMPCOB_OUT03Mapper {
    TEMPCOB_TEMPCOB_FD_OUT03_DoToTEMPCOB_OUT03Mapper INSTANCE = Mappers
            .getMapper(TEMPCOB_TEMPCOB_FD_OUT03_DoToTEMPCOB_OUT03Mapper.class);

    @Mapping(source = "SORTOUT_KEY", target = "SORTOUT_KEY")
    @Mapping(source = "SORTOUT_DAT", target = "SORTOUT_DAT")
    TEMPCOB_OUT03 toTEMPCOB_OUT03(TEMPCOB_TEMPCOB_FD_OUT03_Do source);

    @Mapping(source = "SORTOUT_KEY", target = "SORTOUT_KEY")
    @Mapping(source = "SORTOUT_DAT", target = "SORTOUT_DAT")
    TEMPCOB_TEMPCOB_FD_OUT03_Do toTEMPCOB_TEMPCOB_FD_OUT03_Do(
            TEMPCOB_OUT03 source);
}
